.oni-sorceress
  h1 Comments Moderation

  .administration-moderation-comments
    - if @comments.count == 0
      .administration-moderation-comments__notification No comments
    - else
      = paginate @comments

      .administration-moderation-comments__list(style='display: grid; grid-template-columns: fit-content(20%) fit-content(20%) fit-content(20%) fit-content(40%); gap: 1rem')
        - @comments.each do |comment|
          - spam_check = comment.spam_checks.order(:updated_at).first

          .administration-moderation-comments__created_at= comment.created_at
          .administration-moderation-comments__poster-name= comment.poster_name
          .administration-moderation-status= spam_check ? [spam_check.classifier, spam_check.result, spam_check.score].join('/') : 'no check'
          .administration-moderation-comments__body= truncate(comment.body, length: 130)

      = paginate @comments
